@import '../../../public/styles/components/variables.scss';

.base-modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 1px solid $color-gallery;
  background: $color-white;
  overflow: auto;
  border-radius: 4px;
  outline: none;
  padding: 20px;
  max-width: 600px;
  width: 100%;

  &__close-button {
    cursor: pointer;
    display: block;
    margin-left: auto;
    margin-right: 0;
    color: $color-cascade;
    position: absolute;
    top: 20px;
    right: 20px;
  }

  &__header {
    text-align: center;
    font-size: 1.6rem;
    margin: 0;
    font-weight: 400;
    color: $color-royal-blue;
    padding-bottom: 20px;
  }

  p {
    text-align: center;
    padding: 20px;
  }
}
